<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("ty" . "pe" => base64_decode("dHlwZ" . "Q=="), "_aad576a27d4270db0bcc" . "e79b5b765b54" => base64_decode("aWNvb" . "g=="), "ur" . "l" => base64_decode("dX" . "Js"), "i" . "d" => base64_decode("aW" . "Q="), "_fd02c7e3d45300b40c3d96" . "98e7b27faf" => base64_decode("ZGlzYWJsZWQ" . "="), "titl" . "e" => base64_decode("dGl" . "0bG" . "U="), "_354b3b07bdaa4e702886b2fdf9dd" . "11ce" => base64_decode("bmV3X3dp" . "bmRvdw=="));
use Claromentis\Core\Icon\IconFormatter;
class MenuItemFormatter
{
    private IconFormatter $iconFormatter;
    public function __construct(IconFormatter $iconFormatter)
    {
        $this->iconFormatter = $iconFormatter;
    }
    
    
    
    
    
    
    
    public function toArray(MenuItemInterface $_c5ca63e2f3cceb505a5417b4abb64d55) : array
    {
        $_fd62bc4eaaf7d58dea9bada3e30443b9 = [$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["ty" . "pe"] => $_c5ca63e2f3cceb505a5417b4abb64d55->getType()];
        $id = $_c5ca63e2f3cceb505a5417b4abb64d55->getId();
        if (isset($id)) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"]] = $id;
        }
        if ($_c5ca63e2f3cceb505a5417b4abb64d55 instanceof MenuItemLinkInterface) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_fd02c7e3d45300b40c3d9698e7" . "b27faf"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getDisabled();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_354b3b07bdaa4e702886b2fd" . "f9dd11ce"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getNewWindow();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["t" . "i" . "t" . "l" . "e"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getTitle();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["ur" . "l"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getUrl();
            if (($_aad576a27d4270db0bcce79b5b765b54 = $_c5ca63e2f3cceb505a5417b4abb64d55->getIcon()) !== null) {
                $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_aad576a27d4270db0bcce79b" . "5b765b54"]] = $this->iconFormatter->toArray($_aad576a27d4270db0bcce79b5b765b54);
            }
        }
        return $_fd62bc4eaaf7d58dea9bada3e30443b9;
    }
}